Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.AppProviderCallback Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | Beep (type)
| A callback function used to beep for specified beep type. More...
def | DownLoadUrl (url)
| A callback function used to download from specified URL. More...
def | GetAppInfo (app_info)
| A callback function used to get application information for a specified information type. More...
def | LoadString (string_id)
| A callback function used to load a string in local language for a specified case. More...
def | MsgBox (message, title, icon_type, button_type)
| A callback function used to set message box. More...
def | PostRequestURL (url, data, content_type, encode, header)
| A callback function used to post data to the given URL. More...
def | PutRequestURL (url, data, encode)
| A callback function used to put data to the given URL. More...
def | Release ()
| A callback function used to release current callback object itself. More...
def | Response (question, title, default_answer, is_mask)
| A callback function used to response. More...
def | ShowFileDialog (string_title, string_filter, is_openfile_dialog)
| A callback function used to show file dialog. More...

## Static Public Attributes
| e_AppInfoLanguage = _fsdk.AppProviderCallback_e_AppInfoLanguage
| Application information: language.
| e_AppInfoName = _fsdk.AppProviderCallback_e_AppInfoName
| Application information: name.
| e_AppInfoPlatform = _fsdk.AppProviderCallback_e_AppInfoPlatform
| Application information: platform.
| e_AppInfoType = _fsdk.AppProviderCallback_e_AppInfoType
| Application information: type.
| e_AppInfoVariation = _fsdk.AppProviderCallback_e_AppInfoVariation
| Application information: variation.
| e_AppInfoVersion = _fsdk.AppProviderCallback_e_AppInfoVersion
| Application information: version.
| e_BeepTypeDefault = _fsdk.AppProviderCallback_e_BeepTypeDefault
| Beep type: default.
| e_BeepTypeError = _fsdk.AppProviderCallback_e_BeepTypeError
| Beep type: error.
| e_BeepTypeQuestion = _fsdk.AppProviderCallback_e_BeepTypeQuestion
| Beep type: question.
| e_BeepTypeStatus = _fsdk.AppProviderCallback_e_BeepTypeStatus
| Beep type: status.
| e_BeepTypeWarning = _fsdk.AppProviderCallback_e_BeepTypeWarning
| Beep type: warning.
| e_MsgBoxIconError = _fsdk.AppProviderCallback_e_MsgBoxIconError
| Message box icon: Error.
| e_MsgBoxIconQuestion = _fsdk.AppProviderCallback_e_MsgBoxIconQuestion
| Message box icon: Question.
| e_MsgBoxIconStatus = _fsdk.AppProviderCallback_e_MsgBoxIconStatus
| Message box icon: Status.
| e_MsgBoxIconWarning = _fsdk.AppProviderCallback_e_MsgBoxIconWarning
| Message box icon: Warning.
| e_MsgBtnIDCancel = _fsdk.AppProviderCallback_e_MsgBtnIDCancel
| Message box button ID: Cancel.
| e_MsgBtnIDNo = _fsdk.AppProviderCallback_e_MsgBtnIDNo
| Message box button ID: No.
| e_MsgBtnIDOK = _fsdk.AppProviderCallback_e_MsgBtnIDOK
| Message box button ID: OK.
| e_MsgBtnIDYes = _fsdk.AppProviderCallback_e_MsgBtnIDYes
| Message box button ID: Yes.
| e_MsgBtnTypeOK = _fsdk.AppProviderCallback_e_MsgBtnTypeOK
| Message box button: OK.
| e_MsgBtnTypeOKCancel = _fsdk.AppProviderCallback_e_MsgBtnTypeOKCancel
| Message box button: OK and Cancel.
| e_MsgBtnTypeYesNo = _fsdk.AppProviderCallback_e_MsgBtnTypeYesNo
| Message box button: Yes and No.
| e_MsgBtnTypeYesNoCancel = _fsdk.AppProviderCallback_e_MsgBtnTypeYesNoCancel
| Message box button: Yes, No and Cancel.
| e_StringIDAccessProertyInNotObject = _fsdk.AppProviderCallback_e_StringIDAccessProertyInNotObject
| Sample message: "An attempt was made to reference property '%s' of a non-object in SOM expression %s".
| e_StringIDAppName = _fsdk.AppProviderCallback_e_StringIDAppName
| String ID for case: Application's name. Sample message: "Foxit Phantom".
| e_StringIDArgumentExpectContainer = _fsdk.AppProviderCallback_e_StringIDArgumentExpectContainer
| Sample message: "'%s' argument is expected to be a container".
| e_StringIDArgumentMismatch = _fsdk.AppProviderCallback_e_StringIDArgumentMismatch
| Sample message: "Argument mismatch in property or function argument".
| e_StringIDArgumentNotArray = _fsdk.AppProviderCallback_e_StringIDArgumentNotArray
| Sample message: "'%s' function's %d argument cannot be array".
| e_StringIDBadSuffix = _fsdk.AppProviderCallback_e_StringIDBadSuffix
| Sample message: "Bad suffix on number".
| e_StringIDCalcOverride = _fsdk.AppProviderCallback_e_StringIDCalcOverride
| Sample message: "Calculate Override".
| e_StringIDCannotAssign = _fsdk.AppProviderCallback_e_StringIDCannotAssign
| Sample message: "Cannot assign to '%s'".
| e_StringIDCannotCovertToObject = _fsdk.AppProviderCallback_e_StringIDCannotCovertToObject
| Sample message: "%s.%s cannot covert to object".
| e_StringIDCannotModifyValue = _fsdk.AppProviderCallback_e_StringIDCannotModifyValue
| Sample message: "Cannot modify the '%s' value".
| e_StringIDCompilerError = _fsdk.AppProviderCallback_e_StringIDCompilerError
| Sample message: "Compiler error".
| e_StringIDConditionIsNull = _fsdk.AppProviderCallback_e_StringIDConditionIsNull
| Sample message: "Condition is null".
| e_StringIDDivideZero = _fsdk.AppProviderCallback_e_StringIDDivideZero
| Sample message: "Divide by zero".
| e_StringIDErrorMessage = _fsdk.AppProviderCallback_e_StringIDErrorMessage
| Sample message: "%s : %s".
| e_StringIDExpectedEndIf = _fsdk.AppProviderCallback_e_StringIDExpectedEndIf
| Sample message: "Expected 'endif' instead of '%s'".
| e_StringIDExpectedIdent = _fsdk.AppProviderCallback_e_StringIDExpectedIdent
| Sample message: "Expected identifier instead of '%s'".
| e_StringIDExpectedNumber = _fsdk.AppProviderCallback_e_StringIDExpectedNumber
| Sample message: "Expected number instead of '%s'".
| e_StringIDExpectedOperator = _fsdk.AppProviderCallback_e_StringIDExpectedOperator
| Sample message: "Expected operator '%s' instead of '%s'".
| e_StringIDExpectedString = _fsdk.AppProviderCallback_e_StringIDExpectedString
| Sample message: "Expected '%s' instead of '%s'".
| e_StringIDFunctionBuildIn = _fsdk.AppProviderCallback_e_StringIDFunctionBuildIn
| Sample message: "Function 's' is built-in.
| e_StringIDIllegalBreak = _fsdk.AppProviderCallback_e_StringIDIllegalBreak
| Sample message: "Illegal break".
| e_StringIDIllegalContinue = _fsdk.AppProviderCallback_e_StringIDIllegalContinue
| Sample message: "Illegal continue".
| e_StringIDImageFilter = _fsdk.AppProviderCallback_e_StringIDImageFilter
| String ID for case: Filter for image files. Sample message: "Image Files(*.bmp;*.jpg;*.png;*.gif;*.tif)|*.bmp;*.jpg;*.png;*.gif;*.tif|All Files(*.*)|*.*||".
| e_StringIDIncorrectNumberOfMethod = _fsdk.AppProviderCallback_e_StringIDIncorrectNumberOfMethod
| Sample message: "Incorrect number of parameters are used when calling method '%s'".
| e_StringIDIndexValueOutOfBounds = _fsdk.AppProviderCallback_e_StringIDIndexValueOutOfBounds
| Sample message: "Index value is out of bounds".
| e_StringIDInvalidAppend = _fsdk.AppProviderCallback_e_StringIDInvalidAppend
| Sample message: "Invalid append operation: %s cannot have a child element of %s".
| e_StringIDInvalidateChar = _fsdk.AppProviderCallback_e_StringIDInvalidateChar
| Sample message: "Invalidate character '%c'".
| e_StringIDInvalidateInstruction = _fsdk.AppProviderCallback_e_StringIDInvalidateInstruction
| Sample message: "Invalidate instruction".
| e_StringIDInvalidateLeftValue = _fsdk.AppProviderCallback_e_StringIDInvalidateLeftValue
| Sample message: "Invalidate left-value '%s'".
| e_StringIDInvalidBarcodeValue = _fsdk.AppProviderCallback_e_StringIDInvalidBarcodeValue
| Sample message: "Invalid Barcode Value: %s is an invalid value for barcodes of type %s.".
| e_StringIDInvalidEnumerate = _fsdk.AppProviderCallback_e_StringIDInvalidEnumerate
| Sample message: "Invalid enumerated value: %s".
| e_StringIDInvalidEnumValue = _fsdk.AppProviderCallback_e_StringIDInvalidEnumValue
| String ID for case: Some enumerate value is invalid. Sample message: "Invalid enumerate value:".
| e_StringIDInvalidExpression = _fsdk.AppProviderCallback_e_StringIDInvalidExpression
| Sample message: "Invalidate expression '%s'".
| e_StringIDInvalidNodeType = _fsdk.AppProviderCallback_e_StringIDInvalidNodeType
| Sample message: "Invalid node type: '%s'".
| e_StringIDInvalidPropertySetOperation = _fsdk.AppProviderCallback_e_StringIDInvalidPropertySetOperation
| String ID for case: Some setting operation to property is invalid. Sample message: "Invalid property setting operation:".
| e_StringIDInvalidToken = _fsdk.AppProviderCallback_e_StringIDInvalidToken
| Sample message: "Invalidate token '%s'".
| e_StringIDIsNotArray = _fsdk.AppProviderCallback_e_StringIDIsNotArray
| Sample message: "'%s' is not an array".
| e_StringIDModifyField = _fsdk.AppProviderCallback_e_StringIDModifyField
| String ID for case: If to modify field. Sample message: "Do you want to modify this field?".
| e_StringIDMonthApril = _fsdk.AppProviderCallback_e_StringIDMonthApril
| String ID for case: Use string in local language for "April".
| e_StringIDMonthAug = _fsdk.AppProviderCallback_e_StringIDMonthAug
| String ID for case: Use string in local language for "August".
| e_StringIDMonthDec = _fsdk.AppProviderCallback_e_StringIDMonthDec
| String ID for case: Use string in local language for "December".
| e_StringIDMonthFeb = _fsdk.AppProviderCallback_e_StringIDMonthFeb
| String ID for case: Use string in local language for "February".
| e_StringIDMonthJan = _fsdk.AppProviderCallback_e_StringIDMonthJan
| String ID for case: Use string in local language for "January".
| e_StringIDMonthJuly = _fsdk.AppProviderCallback_e_StringIDMonthJuly
| String ID for case: Use string in local language for "July".
| e_StringIDMonthJune = _fsdk.AppProviderCallback_e_StringIDMonthJune
| String ID for case: Use string in local language for "June".
| e_StringIDMonthMarch = _fsdk.AppProviderCallback_e_StringIDMonthMarch
| String ID for case: Use string in local language for "March".
| e_StringIDMonthMay = _fsdk.AppProviderCallback_e_StringIDMonthMay
| String ID for case: Use string in local language for "May".
| e_StringIDMonthNov = _fsdk.AppProviderCallback_e_StringIDMonthNov
| String ID for case: Use string in local language for "November".
| e_StringIDMonthOct = _fsdk.AppProviderCallback_e_StringIDMonthOct
| String ID for case: Use string in local language for "October".
| e_StringIDMonthSep = _fsdk.AppProviderCallback_e_StringIDMonthSep
| String ID for case: Use string in local language for "September".
| e_StringIDNotAssignObject = _fsdk.AppProviderCallback_e_StringIDNotAssignObject
| Sample message: "Cannot directly assign the value to object".
| e_StringIDNotDefaultValue = _fsdk.AppProviderCallback_e_StringIDNotDefaultValue
| Sample message: "Not have a default property".
| e_StringIDNotFoundConst = _fsdk.AppProviderCallback_e_StringIDNotFoundConst
| Sample message: "Cannot find const '%s'".
| e_StringIDNotFoundContainer = _fsdk.AppProviderCallback_e_StringIDNotFoundContainer
| Sample message: "Cannot find container '%s'".
| e_StringIDNotFoundFunction = _fsdk.AppProviderCallback_e_StringIDNotFoundFunction
| Sample message: "Cannot find function '%s'".
| e_StringIDNotFoundMethod = _fsdk.AppProviderCallback_e_StringIDNotFoundMethod
| Sample message: "Cannot find method '%s'".
| e_StringIDNotFoundProperty = _fsdk.AppProviderCallback_e_StringIDNotFoundProperty
| Sample message: "Cannot find property '%s'".
| e_StringIDNotHaveProperty = _fsdk.AppProviderCallback_e_StringIDNotHaveProperty
| Sample message: "'%s' doesn't have property '%s'".
| e_StringIDNotModifyField = _fsdk.AppProviderCallback_e_StringIDNotModifyField
| String ID for case: Not allow to modify field. Sample message: "You are not allowed to modify this field.".
| e_StringIDNotSupportArrayCalculate = _fsdk.AppProviderCallback_e_StringIDNotSupportArrayCalculate
| Sample message: "'%s' operator cannot support array calculation".
| e_StringIDNumberOfOccur = _fsdk.AppProviderCallback_e_StringIDNumberOfOccur
| Sample message: "The element [%s] has violated its allowable number of occurrences".
| e_StringIDOutOfArrayRange = _fsdk.AppProviderCallback_e_StringIDOutOfArrayRange
| Sample message: "Out of the range of '%s' array".
| e_StringIDParametersError = _fsdk.AppProviderCallback_e_StringIDParametersError
| Sample message: "Function '%s' does not have %d parameters".
| e_StringIDRedefinition = _fsdk.AppProviderCallback_e_StringIDRedefinition
| Sample message: "'%s' redefinition".
| e_StringIDScriptArgumentMismatch = _fsdk.AppProviderCallback_e_StringIDScriptArgumentMismatch
| Sample message: "Error:Argument mismatch in property or function argument.".
| e_StringIDScriptFailedError = _fsdk.AppProviderCallback_e_StringIDScriptFailedError
| Sample message: "Script failed(language is %s;context is %s) script=%s".
| e_StringIDScriptInvalidValue = _fsdk.AppProviderCallback_e_StringIDScriptInvalidValue
| Sample message: "Error:Invalid enumerated value:%s".
| e_StringIDServerDeny = _fsdk.AppProviderCallback_e_StringIDServerDeny
| String ID for case: Server denies. Sample message: "Server does not permit".
| e_StringIDSOMExpectedList = _fsdk.AppProviderCallback_e_StringIDSOMExpectedList
| Sample message: "SOM expression returned list when single result was expected".
| e_StringIDSubmitValidateNullError = _fsdk.AppProviderCallback_e_StringIDSubmitValidateNullError
| Sample message: "At least one required field was empty. Please fill in the required fields(highlighted) before continuing.".
| e_StringIDToday = _fsdk.AppProviderCallback_e_StringIDToday
| String ID for case: Use string in local language for "Today".
| e_StringIDUnableSetClassName = _fsdk.AppProviderCallback_e_StringIDUnableSetClassName
| Sample message: "Unable to set the value for property 'className'".
| e_StringIDUnableSetLengthValue = _fsdk.AppProviderCallback_e_StringIDUnableSetLengthValue
| Sample message: "Unable to set the value for property 'length'".
| e_StringIDUnableSetNumPages = _fsdk.AppProviderCallback_e_StringIDUnableSetNumPages
| Sample message: "Unable to set the value for property 'numPages'".
| e_StringIDUnableSetPlatformValue = _fsdk.AppProviderCallback_e_StringIDUnableSetPlatformValue
| Sample message: "Unable to set the value for property 'platform'".
| e_StringIDUnableSetReady = _fsdk.AppProviderCallback_e_StringIDUnableSetReady
| Sample message: "Unable to set the value for property 'ready'".
| e_StringIDUnableSetValidationsEnabledValue = _fsdk.AppProviderCallback_e_StringIDUnableSetValidationsEnabledValue
| Sample message: "Unable to set the value for property 'validationsEnabled'".
| e_StringIDUnableSetValidationsValue = _fsdk.AppProviderCallback_e_StringIDUnableSetValidationsValue
| Sample message: "Unable to set the value for property 'variation'".
| e_StringIDUnableSetVersion = _fsdk.AppProviderCallback_e_StringIDUnableSetVersion
| Sample message: "Unable to set the value for property 'version'".
| e_StringIDUnableToSet = _fsdk.AppProviderCallback_e_StringIDUnableToSet
| Sample message: "Unable to set".
| e_StringIDUndefineIdentifier = _fsdk.AppProviderCallback_e_StringIDUndefineIdentifier
| Sample message: "Undefined identifier '%s'".
| e_StringIDUnexpectedExpression = _fsdk.AppProviderCallback_e_StringIDUnexpectedExpression
| Sample message: "Unexpected expression '%s'".
| e_StringIDUnknownCaught = _fsdk.AppProviderCallback_e_StringIDUnknownCaught
| Sample message: "Unknown error is caught!".
| e_StringIDUnsupportChar = _fsdk.AppProviderCallback_e_StringIDUnsupportChar
| Sample message: "Unsupported character '%c'".
| e_StringIDUnsupportMethod = _fsdk.AppProviderCallback_e_StringIDUnsupportMethod
| Sample message: "Unsupported method %s.".
| e_StringIDUnsupportProperty = _fsdk.AppProviderCallback_e_StringIDUnsupportProperty
| Sample message: "Unsupported property %s.".
| e_StringIDValidateError = _fsdk.AppProviderCallback_e_StringIDValidateError
| Sample message: "The value you entered for %s is invalid.".
| e_StringIDValidateFailed = _fsdk.AppProviderCallback_e_StringIDValidateFailed
| Sample message: "Validate failed".
| e_StringIDValidateLimit = _fsdk.AppProviderCallback_e_StringIDValidateLimit
| Sample message: "Message limit exceeded. Remaining %d validation errors not reported.".
| e_StringIDValidateNullError = _fsdk.AppProviderCallback_e_StringIDValidateNullError
| Sample message: "%s cannot be left blank.".
| e_StringIDValidateNullWarning = _fsdk.AppProviderCallback_e_StringIDValidateNullWarning
| Sample message: "%s cannot be left blank. To ignore validations for %s, click Ignore.".
| e_StringIDValidateNumberError = _fsdk.AppProviderCallback_e_StringIDValidateNumberError
| Sample message: "Illegal value:cannot assign '%s' to %s.".
| e_StringIDValidateOutOfArray = _fsdk.AppProviderCallback_e_StringIDValidateOutOfArray
| Sample message: "Validate access index '%s' out of array".
| e_StringIDValidateWarning = _fsdk.AppProviderCallback_e_StringIDValidateWarning
| Sample message: "The value you entered for %s is invalid. To ignore validations for %s, click Ignore.".
| e_StringIDValueExcalmatory = _fsdk.AppProviderCallback_e_StringIDValueExcalmatory
| Sample message: "Value!".
| e_StringIDViolateBoundary = _fsdk.AppProviderCallback_e_StringIDViolateBoundary
| Sample message: "The element [%s] has violated its allowable number of occurrences".
| e_StringIDWeekDayFri = _fsdk.AppProviderCallback_e_StringIDWeekDayFri
| String ID for case: Use string in local language for "Friday".
| e_StringIDWeekDayMon = _fsdk.AppProviderCallback_e_StringIDWeekDayMon
| String ID for case: Use string in local language for "Monday".
| e_StringIDWeekDaySat = _fsdk.AppProviderCallback_e_StringIDWeekDaySat
| String ID for case: Use string in local language for "Saturday".
| e_StringIDWeekDaySun = _fsdk.AppProviderCallback_e_StringIDWeekDaySun
| String ID for case: Use string in local language for "Sunday".
| e_StringIDWeekDayThu = _fsdk.AppProviderCallback_e_StringIDWeekDayThu
| String ID for case: Use string in local language for "Thursday".
| e_StringIDWeekDayTue = _fsdk.AppProviderCallback_e_StringIDWeekDayTue
| String ID for case: Use string in local language for "Tuesday".
| e_StringIDWeekDayWed = _fsdk.AppProviderCallback_e_StringIDWeekDayWed
| String ID for case: Use string in local language for "Wednesday".

## Detailed Description

This class represents a callback object as an XFA application provider. All the functions in this class are used as callback functions. Pure virtual functions should be implemented by user.

## Member Function Documentation

## ◆ Beep()

def FoxitPDFSDKPython2.AppProviderCallback.Beep | ( |  | type | ) |

A callback function used to beep for specified beep type.

Parameters

  [in] | type | The beep type. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_BeepTypeError and this would be one of these values.

Returns
  None.

## ◆ DownLoadUrl()

def FoxitPDFSDKPython2.AppProviderCallback.DownLoadUrl | ( |  | url | ) |

A callback function used to download from specified URL.

Parameters

  [in] | url | A URL to be downloaded.

Returns
  A FoxitPDFSDKPython2.FileReaderCallback object which can be used to read the downloading result.

## ◆ GetAppInfo()

def FoxitPDFSDKPython2.AppProviderCallback.GetAppInfo | ( |  | app_info | ) |

A callback function used to get application information for a specified information type.

Parameters

  [in] | app_info | The type of application information, whose information is to retrieved. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_AppInfoType and this would be one of these values.

Returns
  A string of application information.

## ◆ LoadString()

def FoxitPDFSDKPython2.AppProviderCallback.LoadString | ( |  | string_id | ) |

A callback function used to load a string in local language for a specified case.

This function is very useful for user to use local language for message of specified cases. User can re-write or translate the sample message (which is defined in the comment of values starting from FoxitPDFSDKPython2.AppProviderCallback.e_StringIDValidateFailed ) into local language for the specified case, and return the result string to Foxit PDF SDK. Specially, Foxit PDF SDK will add some necessary information/data to the format part in the sample message, in order to make the message more useful. User is recommended to keep these format part in the re-written or translated result string; otherwise, these information/data will not be lost and will not be added to the message offered by user.

Parameters

  [in] | string_id | A string ID to specify a case. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_StringIDValidateFailed and this would be one of these values.

Returns
  A string used for the specified case.

## ◆ MsgBox()

def FoxitPDFSDKPython2.AppProviderCallback.MsgBox | ( |  | message,
|  |  | title,
|  |  | icon_type,
|  |  | button_type
| ) |  |

A callback function used to set message box.

Parameters

  [in] | message | A message string.
  [in] | title | The title of message box.
  [in] | icon_type | The icon type for message box. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_MsgBoxIconError and this would be one of these values.
  [in] | button_type | The button type for message box. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_MsgBtnTypeOK and this would be one of these values.

Returns
  The button ID for message box. Please refer to values starting from FoxitPDFSDKPython2.AppProviderCallback.e_MsgBtnIDOK and this should be one of these values.

## ◆ PostRequestURL()

def FoxitPDFSDKPython2.AppProviderCallback.PostRequestURL | ( |  | url,
|  |  | data,
|  |  | content_type,
|  |  | encode,
|  |  | header
| ) |  |

A callback function used to post data to the given URL.

Parameters

  [in] | url | A URL, to which the data will be posted.
  [in] | data | The data to be posted.
  [in] | content_type | A string that represents the content type of data. This string could be "text/html", "text/xml", "text/plain", "multipart/form-data", "application/x-www-form-urlencoded", "application/octet-stream", or any valid MIME type.
  [in] | encode | A string that represents the encoding of data. This string could be "UTF-8", "UTF-16", "ISO8859-1", or any recognized [IANA]character encoding.
  [in] | header | A string that represents any additional HTTP headers to be included in the post.

Returns
  The response string.

## ◆ PutRequestURL()

def FoxitPDFSDKPython2.AppProviderCallback.PutRequestURL | ( |  | url,
|  |  | data,
|  |  | encode
| ) |  |

A callback function used to put data to the given URL.

Parameters

  [in] | url | A URL, to which the data will be put.
  [in] | data | The data to be put.
  [in] | encode | A string that represents the encoding of data. This string could be "UTF-8", "UTF-16", ISO8859-1", or any recognized [IANA]character encoding.

Returns
  true means success, while false means failure.

## ◆ Release()

def FoxitPDFSDKPython2.AppProviderCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ Response()

def FoxitPDFSDKPython2.AppProviderCallback.Response | ( |  | question,
|  |  | title,
|  |  | default_answer,
|  |  | is_mask
| ) |  |

A callback function used to response.

Parameters

  [in] | question | A string that represents the question.
  [in] | title | A string that represents the title.
  [in] | default_answer | A string that represents the default answer. It could be an empty string which means no default answer.
  [in] | is_mask | true means the answer should be masked by '*', while false means the answer does not need to be masked by '*'.

Returns
  A string that represents the response answer.

## ◆ ShowFileDialog()

def FoxitPDFSDKPython2.AppProviderCallback.ShowFileDialog | ( |  | string_title,
|  |  | string_filter,
|  |  | is_openfile_dialog
| ) |  |

A callback function used to show file dialog.

Parameters

  [in] | string_title | A string that represents the dialog title.
  [in] | string_filter | A string that represents the dialog file filter.
  [in] | is_openfile_dialog | true means the dialog is an open-file-dialog, while false means the dialog is a save-as-dialog.

Returns
  An array of file paths.